Skip to content

Get a managed account statement

Request

Returns a statement for the managed account identified by the id path parameter.

The statement contains only posted/completed transactions where funds have definitively moved (the actual balance of the instrument changed). In progress transactions are not included but can be retrieved via the transaction activity endpoint.

Repeated requests for the same statement period will return the same result.

Deprecated: requesting this endpoint with Accept: application/pdf is superseded by GET /managed_accounts/{id}/statement/pdf, which supports a timezone parameter and returns the complete period rather than a single page. The JSON response is not deprecated.

Security
auth_token and api-key
Path
idstring^[0-9]+$required

The unique identifier of the managed account.

Query
offsetinteger, (int32), >= 0

The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

limitinteger, (int32), [ 1 .. 500 ]

The maximum number of statement entries to return. Limit is capped at 500.

startPeriodinteger, (int64)

Start of the statement period. Epoch timestamp using millisecond precision.

endPeriodinteger, (int64)

End of the statement period. Epoch timestamp using millisecond precision.

sortOrderstring(InstrumentStatementSortOrder)

Sort order for the results:

  • ASC: Ascending order, oldest first (default for statements).
  • DESC: Descending order, most recent first.
Enum:"ASC""DESC"
transaction.typeArray of strings, unique

Filter statement entries by one or more transaction types.

executingAccessInstrument.idstring^[0-9]+$

Filter statement entries by the ID of the access instrument that initiated the transaction.

executingAccessInstrument.typeArray of strings, unique

Filter statement entries by the type of access instrument that initiated the transaction (managed cards or IBANs).

Headers
acceptstring

A request parameter specifying the type of response the client would like. Must be one of application/json, application/pdf or text/csv.

The default response type (application/json) will be returned if specified incorrectly or not specified.

x-api-versionstring

Opts the call in to the latest version of the endpoint. Set to LATEST to be routed to the newest implementation; omit to retain the default routing for your tenant.

Value:"LATEST"
curl -i -X GET \
  'https://sandbox.weavr.io/multi/managed_accounts/{id}/statement?offset=0&limit=1&startPeriod=0&endPeriod=0&sortOrder=ASC&transaction.type=card_payments&executingAccessInstrument.id=string&executingAccessInstrument.type=managed_cards' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'accept: string' \
  -H 'api-key: YOUR_API_KEY_HERE' \
  -H 'x-api-version: LATEST'

Responses

Success

Headers
request-refstringrequired

A request identifier. Providing this reference when contacting our support team will help us investigate your query.

Body
openingBalanceobject(CurrencyAmount)

The balance of the instrument at the start of the statement period.

closingBalanceobject(CurrencyAmount)

The balance of the instrument at the end of the statement period.

entriesArray of objects(StatementResponseEntry)
countinteger, (int32)

The total number of entries matching the filter criteria.

responseCountinteger, (int32)

The number of entries returned in this response.

footerstring

Regulatory and card scheme footer text for the statement.

Response
{ "openingBalance": { "currency": "str", "amount": 0 }, "closingBalance": { "currency": "str", "amount": 0 }, "entries": [ {} ], "count": 0, "responseCount": 0, "footer": "string" }